> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://notion.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://notion.ferndocs.com/_mcp/server.

# List databases (deprecated)

GET https://api.notion.com/v1/databases

This endpoint is deprecated and is only available on API version "2021-08-16" and earlier. Use the [Search API](/reference/post-search) instead. This endpoint will only return explicitly shared databases, while search will also return child pages. This endpoint's results cannot be filtered, while search can be used to match on page title.

List all [Databases](/reference/database) shared with the authenticated integration. The response may contain fewer than `page_size` of results.

Integrations can only access databases a user has shared with the integration.

See [Pagination](/reference/pagination) for details about how to use a cursor to iterate through the list.

This endpoint requires an integration to have read content capabilities. Attempting to call this API without read content capabilities will return an HTTP response with a 403 status code. For more information on integration capabilities, see the [capabilities guide](/reference/capabilities).

### Errors

Returns a 429 HTTP response if the request exceeds the [request limits](/reference/request-limits).

Reference: https://notion.ferndocs.com/reference/get-databases

## Request

### Query parameters

- `start_cursor` (string, optional) — If supplied, this endpoint will return a page of results starting after the cursor provided. If not supplied, this endpoint will return the first page of results.
- `page_size` (integer, optional, default: 100) — The number of items from the full list desired in the response. Maximum: 100

### Headers

- `Notion-Version` (string, required, default: 2021-08-16)

## Response

### 200

200

- `object` (string, optional)
- `results` (list of V1DatabasesGetResponsesContentApplicationJsonSchemaResultsItems, optional)
- `next_cursor` (any, optional)
- `has_more` (boolean, optional, default: true)

## Errors

### 400 Bad Request Error

400

## Types

### V1DatabasesGetResponsesContentApplicationJsonSchemaResultsItems

- `object` (string, optional)
- `id` (string, optional)
- `created_time` (string, optional)
- `last_edited_time` (string, optional)
- `parent` (V1DatabasesGetResponsesContentApplicationJsonSchemaResultsItemsParent, optional)
- `title` (list of V1DatabasesGetResponsesContentApplicationJsonSchemaResultsItemsTitleItems, optional)
- `icon` (V1DatabasesGetResponsesContentApplicationJsonSchemaResultsItemsIcon, optional)
- `cover` (V1DatabasesGetResponsesContentApplicationJsonSchemaResultsItemsCover, optional)
- `properties` (V1DatabasesGetResponsesContentApplicationJsonSchemaResultsItems, optional)

### V1DatabasesGetResponsesContentApplicationJsonSchemaResultsItemsParent

- `type` (string, optional)
- `page_id` (string, optional)

### V1DatabasesGetResponsesContentApplicationJsonSchemaResultsItemsTitleItems

- `type` (string, optional)
- `text` (V1DatabasesGetResponsesContentApplicationJsonSchemaResultsItemsTitleItemsText, optional)
- `annotations` (V1DatabasesGetResponsesContentApplicationJsonSchemaResultsItemsTitleItemsAnnotations, optional)
- `plain_text` (string, optional)
- `href` (any, optional)

### V1DatabasesGetResponsesContentApplicationJsonSchemaResultsItemsIcon

- `type` (string, optional)
- `emoji` (string, optional)

### V1DatabasesGetResponsesContentApplicationJsonSchemaResultsItemsCover

- `type` (string, optional)
- `external` (V1DatabasesGetResponsesContentApplicationJsonSchemaResultsItemsCoverExternal, optional)

### V1DatabasesGetResponsesContentApplicationJsonSchemaResultsItemsTitleItemsText

- `content` (string, optional)
- `link` (any, optional)

### V1DatabasesGetResponsesContentApplicationJsonSchemaResultsItemsTitleItemsAnnotations

- `bold` (boolean, optional, default: true)
- `italic` (boolean, optional, default: true)
- `strikethrough` (boolean, optional, default: true)
- `underline` (boolean, optional, default: true)
- `code` (boolean, optional, default: true)
- `color` (string, optional)

### V1DatabasesGetResponsesContentApplicationJsonSchemaResultsItemsCoverExternal

- `url` (string, optional)

## Examples

**Response**

```json
{
  "Result": {
    "value": "{\n  \"object\": \"list\",\n  \"results\": [\n    {\n      \"object\": \"database\",\n      \"id\": \"668d797c-76fa-4934-9b05-ad288df2d136\",\n      \"created_time\": \"2021-05-12T19:34:00.000Z\",\n      \"last_edited_time\": \"2021-05-13T04:55:00.000Z\",\n      \"parent\": {\n\t\t    \"type\": \"page_id\",\n   \t\t  \"page_id\": \"48f8fee9-cd79-4180-bc2f-ec0398253067\"\n      },\n      \"title\": [{\"type\": \"text\", \"text\": {\"content\": \"Grocery List\", \"link\": null}, \"annotations\": {\"bold\": false, \"italic\": false, \"strikethrough\": false, \"underline\": false, \"code\": false, \"color\": \"default\"}, \"plain_text\": \"Grocery List\", \"href\": null}],\n      \"icon\": {\n    \t\t\"type\": \"emoji\",\n    \t\t\"emoji\": \"🎉\"\n \t\t\t},\n  \t\t\"cover\": {\n  \t\t\t\"type\": \"external\",\n    \t\t\"external\": {\n    \t\t\t\"url\": \"https://website.domain/images/image.png\"\n    \t\t}\n  \t\t},\n      \"properties\": {\n        \"Description\": {\n          \"id\": \">otN\",\n          \"name\": \"Description\",\n          \"type\": \"rich_text\",\n          \"rich_text\": {}\n        }\n      }\n    },\n    {\n      \"object\": \"database\",\n      \"id\": \"74ba0cb2-732c-4d2f-954a-fcaa0d93a898\",\n      \"created_time\": \"2021-05-12T19:34:00.000Z\",\n      \"last_edited_time\": \"2021-05-13T04:55:00.000Z\",\n      \"parent\": {\n\t\t    \"type\": \"workspace\",\n        \"workspace\": true\n      },\n      \"title\": [{\"type\":\" text\", \"text\": {\"content\": \"Pantry\", \"link\": null}, \"annotations\": {\"bold\": false, \"italic\": false, \"strikethrough\": false, \"underline\": false, \"code\": false, \"color\": \"default\"}, \"plain_text\": \"Pantry\", \"href\": null}],\n      \"icon\": {\n    \t\t\"type\": \"emoji\",\n    \t\t\"emoji\": \"🚀\"\n \t\t\t},\n      \"cover\": null,\n      \"properties\": {\n        \"Description\": {\n          \"id\": \"Y:FB\",\n          \"name\": \"Description\",\n          \"type\": \"rich_text\",\n          \"rich_text\": {}\n        }\n      }\n    }\n  ],\n  \"next_cursor\": null,\n  \"has_more\": false\n}"
  }
}
```

**SDK Code**

```javascript Notion SDK for JavaScript
const { Client } = require('@notionhq/client');

const notion = new Client({ auth: process.env.NOTION_API_KEY });

(async () => {
  const response = await notion.databases.list();
  console.log(response);
})();
```

```python
import requests

url = "https://api.notion.com/v1/databases"

headers = {"Notion-Version": "2021-08-16"}

response = requests.get(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.notion.com/v1/databases"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Notion-Version", "2021-08-16")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.notion.com/v1/databases")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Notion-Version"] = '2021-08-16'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.notion.com/v1/databases")
  .header("Notion-Version", "2021-08-16")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.notion.com/v1/databases', [
  'headers' => [
    'Notion-Version' => '2021-08-16',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.notion.com/v1/databases");
var request = new RestRequest(Method.GET);
request.AddHeader("Notion-Version", "2021-08-16");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Notion-Version": "2021-08-16"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.notion.com/v1/databases")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```